package com.wyattjmiller.tictactoeapp

class Stats {
    private var mGamesPlayed: Int = 0
    private var mGamesWonX: Int = 0
    private var mGamesWonO: Int = 0
    private var mGamePiecesPlaced: Int = 0

    fun updateGamesPlayed() {
        mGamesPlayed++
    }

    fun updateGamesWon(gameState: Gameboard.GameState) {
        when (gameState) {
            Gameboard.GameState.GamePlayerWinX -> mGamesWonX++
            Gameboard.GameState.GamePlayerWinO -> mGamesWonO++
        }
    }

    fun updatePiecePlaced() {
        mGamePiecesPlaced++
    }
}